extends Node


#Progression
var doorstop_collected = false

#Beans
var number_beans = 0
var beans = []

#Audio
var currentsong = null
var currentsongpos = 0

#Room Initialization
var currentroom = null
var roompos = Vector3(0,0,0)
var roomrotation = 0
var roomspawn = ""



func lookup_beans(bean_name):
	if number_beans != 0:
		for bean in beans:
			if bean == bean_name:
				return true
	return false
				
				
func set_current_song(stream, position = 0):
	currentsong = stream
	currentsongpos = position


func set_room_init(room, spawnpoint = ""):
	currentroom = room
	roomspawn = spawnpoint
